#include "ep_lib.hpp"
#include <mpi.h>
#include "ep_declaration.hpp"
#include "ep_mpi.hpp"

namespace ep_lib
{

  int MPI_Finalize()
  {
    #pragma omp master
    {
      printf("calling EP Finalize\n");
      ::MPI_Finalize();
    }
  }

  int MPI_Abort(MPI_Comm comm, int errorcode)
  {
    return ::MPI_Abort(to_mpi_comm(comm->mpi_comm), errorcode);
  }

}


